Index: XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 346)
+++ XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 347)
@@ -10,4 +10,5 @@
 #include "group_template_impl.hpp"
 #include "icutil.hpp"
+#include "timer.hpp"
 
 extern "C"
@@ -19,12 +20,16 @@
     std::string axis_ref_str;
     if(!cstr2string(axis_ref, axis_ref_size, axis_ref_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->axis_ref.setValue(axis_ref_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->axis_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_axis_ref(fieldgroup_Ptr fieldgroup_hdl, char * axis_ref, int axis_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->axis_ref.getValue(),axis_ref , axis_ref_size))
       ERROR("void cxios_get_fieldgroup_axis_ref(fieldgroup_Ptr fieldgroup_hdl, char * axis_ref, int axis_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -32,6 +37,8 @@
   void cxios_set_fieldgroup_default_value(fieldgroup_Ptr fieldgroup_hdl, double default_value)
   {
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->default_value.setValue(default_value);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->default_value);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -46,12 +53,16 @@
     std::string domain_ref_str;
     if(!cstr2string(domain_ref, domain_ref_size, domain_ref_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->domain_ref.setValue(domain_ref_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->domain_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_domain_ref(fieldgroup_Ptr fieldgroup_hdl, char * domain_ref, int domain_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->domain_ref.getValue(),domain_ref , domain_ref_size))
       ERROR("void cxios_get_fieldgroup_domain_ref(fieldgroup_Ptr fieldgroup_hdl, char * domain_ref, int domain_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -59,6 +70,8 @@
   void cxios_set_fieldgroup_enabled(fieldgroup_Ptr fieldgroup_hdl, bool enabled)
   {
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->enabled.setValue(enabled);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->enabled);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -73,12 +86,16 @@
     std::string field_ref_str;
     if(!cstr2string(field_ref, field_ref_size, field_ref_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->field_ref.setValue(field_ref_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->field_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_field_ref(fieldgroup_Ptr fieldgroup_hdl, char * field_ref, int field_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->field_ref.getValue(),field_ref , field_ref_size))
       ERROR("void cxios_get_fieldgroup_field_ref(fieldgroup_Ptr fieldgroup_hdl, char * field_ref, int field_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -88,12 +105,16 @@
     std::string freq_offset_str;
     if(!cstr2string(freq_offset, freq_offset_size, freq_offset_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->freq_offset.setValue(freq_offset_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->freq_offset);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_freq_offset(fieldgroup_Ptr fieldgroup_hdl, char * freq_offset, int freq_offset_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->freq_offset.getValue(),freq_offset , freq_offset_size))
       ERROR("void cxios_get_fieldgroup_freq_offset(fieldgroup_Ptr fieldgroup_hdl, char * freq_offset, int freq_offset_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -103,12 +124,16 @@
     std::string freq_op_str;
     if(!cstr2string(freq_op, freq_op_size, freq_op_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->freq_op.setValue(freq_op_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->freq_op);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_freq_op(fieldgroup_Ptr fieldgroup_hdl, char * freq_op, int freq_op_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->freq_op.getValue(),freq_op , freq_op_size))
       ERROR("void cxios_get_fieldgroup_freq_op(fieldgroup_Ptr fieldgroup_hdl, char * freq_op, int freq_op_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -118,12 +143,16 @@
     std::string grid_ref_str;
     if(!cstr2string(grid_ref, grid_ref_size, grid_ref_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->grid_ref.setValue(grid_ref_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->grid_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_grid_ref(fieldgroup_Ptr fieldgroup_hdl, char * grid_ref, int grid_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->grid_ref.getValue(),grid_ref , grid_ref_size))
       ERROR("void cxios_get_fieldgroup_grid_ref(fieldgroup_Ptr fieldgroup_hdl, char * grid_ref, int grid_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -133,12 +162,16 @@
     std::string group_ref_str;
     if(!cstr2string(group_ref, group_ref_size, group_ref_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->group_ref.setValue(group_ref_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->group_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_group_ref(fieldgroup_Ptr fieldgroup_hdl, char * group_ref, int group_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->group_ref.getValue(),group_ref , group_ref_size))
       ERROR("void cxios_get_fieldgroup_group_ref(fieldgroup_Ptr fieldgroup_hdl, char * group_ref, int group_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -146,6 +179,8 @@
   void cxios_set_fieldgroup_level(fieldgroup_Ptr fieldgroup_hdl, int level)
   {
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->level.setValue(level);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->level);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -160,12 +195,16 @@
     std::string long_name_str;
     if(!cstr2string(long_name, long_name_size, long_name_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->long_name.setValue(long_name_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->long_name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_long_name(fieldgroup_Ptr fieldgroup_hdl, char * long_name, int long_name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->long_name.getValue(),long_name , long_name_size))
       ERROR("void cxios_get_fieldgroup_long_name(fieldgroup_Ptr fieldgroup_hdl, char * long_name, int long_name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -175,12 +214,16 @@
     std::string name_str;
     if(!cstr2string(name, name_size, name_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->name.setValue(name_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_name(fieldgroup_Ptr fieldgroup_hdl, char * name, int name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->name.getValue(),name , name_size))
       ERROR("void cxios_get_fieldgroup_name(fieldgroup_Ptr fieldgroup_hdl, char * name, int name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -190,12 +233,16 @@
     std::string operation_str;
     if(!cstr2string(operation, operation_size, operation_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->operation.setValue(operation_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->operation);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_operation(fieldgroup_Ptr fieldgroup_hdl, char * operation, int operation_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->operation.getValue(),operation , operation_size))
       ERROR("void cxios_get_fieldgroup_operation(fieldgroup_Ptr fieldgroup_hdl, char * operation, int operation_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -203,6 +250,8 @@
   void cxios_set_fieldgroup_prec(fieldgroup_Ptr fieldgroup_hdl, int prec)
   {
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->prec.setValue(prec);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->prec);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -217,12 +266,16 @@
     std::string standard_name_str;
     if(!cstr2string(standard_name, standard_name_size, standard_name_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->standard_name.setValue(standard_name_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->standard_name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_standard_name(fieldgroup_Ptr fieldgroup_hdl, char * standard_name, int standard_name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->standard_name.getValue(),standard_name , standard_name_size))
       ERROR("void cxios_get_fieldgroup_standard_name(fieldgroup_Ptr fieldgroup_hdl, char * standard_name, int standard_name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -232,12 +285,16 @@
     std::string unit_str;
     if(!cstr2string(unit, unit_size, unit_str)) return;
+     CTimer::get("XIOS").resume();
     fieldgroup_hdl->unit.setValue(unit_str);
     fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->unit);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_fieldgroup_unit(fieldgroup_Ptr fieldgroup_hdl, char * unit, int unit_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(fieldgroup_hdl->unit.getValue(),unit , unit_size))
       ERROR("void cxios_get_fieldgroup_unit(fieldgroup_Ptr fieldgroup_hdl, char * unit, int unit_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
Index: XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 346)
+++ XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 347)
@@ -10,4 +10,5 @@
 #include "group_template_impl.hpp"
 #include "icutil.hpp"
+#include "timer.hpp"
 
 extern "C"
@@ -19,12 +20,16 @@
     std::string description_str;
     if(!cstr2string(description, description_size, description_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->description.setValue(description_str);
     file_hdl->sendAttributToServer(file_hdl->description);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_description(file_Ptr file_hdl, char * description, int description_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->description.getValue(),description , description_size))
       ERROR("void cxios_get_file_description(file_Ptr file_hdl, char * description, int description_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -32,6 +37,8 @@
   void cxios_set_file_enabled(file_Ptr file_hdl, bool enabled)
   {
+     CTimer::get("XIOS").resume();
     file_hdl->enabled.setValue(enabled);
     file_hdl->sendAttributToServer(file_hdl->enabled);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -46,12 +53,16 @@
     std::string name_str;
     if(!cstr2string(name, name_size, name_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->name.setValue(name_str);
     file_hdl->sendAttributToServer(file_hdl->name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_name(file_Ptr file_hdl, char * name, int name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->name.getValue(),name , name_size))
       ERROR("void cxios_get_file_name(file_Ptr file_hdl, char * name, int name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -61,12 +72,16 @@
     std::string name_suffix_str;
     if(!cstr2string(name_suffix, name_suffix_size, name_suffix_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->name_suffix.setValue(name_suffix_str);
     file_hdl->sendAttributToServer(file_hdl->name_suffix);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_name_suffix(file_Ptr file_hdl, char * name_suffix, int name_suffix_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->name_suffix.getValue(),name_suffix , name_suffix_size))
       ERROR("void cxios_get_file_name_suffix(file_Ptr file_hdl, char * name_suffix, int name_suffix_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -76,12 +91,16 @@
     std::string output_freq_str;
     if(!cstr2string(output_freq, output_freq_size, output_freq_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->output_freq.setValue(output_freq_str);
     file_hdl->sendAttributToServer(file_hdl->output_freq);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_output_freq(file_Ptr file_hdl, char * output_freq, int output_freq_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->output_freq.getValue(),output_freq , output_freq_size))
       ERROR("void cxios_get_file_output_freq(file_Ptr file_hdl, char * output_freq, int output_freq_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -89,6 +108,8 @@
   void cxios_set_file_output_level(file_Ptr file_hdl, int output_level)
   {
+     CTimer::get("XIOS").resume();
     file_hdl->output_level.setValue(output_level);
     file_hdl->sendAttributToServer(file_hdl->output_level);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -103,12 +124,16 @@
     std::string par_access_str;
     if(!cstr2string(par_access, par_access_size, par_access_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->par_access.setValue(par_access_str);
     file_hdl->sendAttributToServer(file_hdl->par_access);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_par_access(file_Ptr file_hdl, char * par_access, int par_access_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->par_access.getValue(),par_access , par_access_size))
       ERROR("void cxios_get_file_par_access(file_Ptr file_hdl, char * par_access, int par_access_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -118,12 +143,16 @@
     std::string split_freq_str;
     if(!cstr2string(split_freq, split_freq_size, split_freq_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->split_freq.setValue(split_freq_str);
     file_hdl->sendAttributToServer(file_hdl->split_freq);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_split_freq(file_Ptr file_hdl, char * split_freq, int split_freq_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->split_freq.getValue(),split_freq , split_freq_size))
       ERROR("void cxios_get_file_split_freq(file_Ptr file_hdl, char * split_freq, int split_freq_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -133,12 +162,16 @@
     std::string sync_freq_str;
     if(!cstr2string(sync_freq, sync_freq_size, sync_freq_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->sync_freq.setValue(sync_freq_str);
     file_hdl->sendAttributToServer(file_hdl->sync_freq);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_sync_freq(file_Ptr file_hdl, char * sync_freq, int sync_freq_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->sync_freq.getValue(),sync_freq , sync_freq_size))
       ERROR("void cxios_get_file_sync_freq(file_Ptr file_hdl, char * sync_freq, int sync_freq_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -148,12 +181,16 @@
     std::string type_str;
     if(!cstr2string(type, type_size, type_str)) return;
+     CTimer::get("XIOS").resume();
     file_hdl->type.setValue(type_str);
     file_hdl->sendAttributToServer(file_hdl->type);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_file_type(file_Ptr file_hdl, char * type, int type_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(file_hdl->type.getValue(),type , type_size))
       ERROR("void cxios_get_file_type(file_Ptr file_hdl, char * type, int type_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
Index: XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 346)
+++ XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 347)
@@ -10,4 +10,5 @@
 #include "group_template_impl.hpp"
 #include "icutil.hpp"
+#include "timer.hpp"
 
 extern "C"
@@ -19,12 +20,16 @@
     std::string description_str;
     if(!cstr2string(description, description_size, description_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->description.setValue(description_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->description);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_description(filegroup_Ptr filegroup_hdl, char * description, int description_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->description.getValue(),description , description_size))
       ERROR("void cxios_get_filegroup_description(filegroup_Ptr filegroup_hdl, char * description, int description_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -32,6 +37,8 @@
   void cxios_set_filegroup_enabled(filegroup_Ptr filegroup_hdl, bool enabled)
   {
+     CTimer::get("XIOS").resume();
     filegroup_hdl->enabled.setValue(enabled);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->enabled);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -46,12 +53,16 @@
     std::string group_ref_str;
     if(!cstr2string(group_ref, group_ref_size, group_ref_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->group_ref.setValue(group_ref_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->group_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_group_ref(filegroup_Ptr filegroup_hdl, char * group_ref, int group_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->group_ref.getValue(),group_ref , group_ref_size))
       ERROR("void cxios_get_filegroup_group_ref(filegroup_Ptr filegroup_hdl, char * group_ref, int group_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -61,12 +72,16 @@
     std::string name_str;
     if(!cstr2string(name, name_size, name_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->name.setValue(name_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_name(filegroup_Ptr filegroup_hdl, char * name, int name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->name.getValue(),name , name_size))
       ERROR("void cxios_get_filegroup_name(filegroup_Ptr filegroup_hdl, char * name, int name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -76,12 +91,16 @@
     std::string name_suffix_str;
     if(!cstr2string(name_suffix, name_suffix_size, name_suffix_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->name_suffix.setValue(name_suffix_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->name_suffix);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_name_suffix(filegroup_Ptr filegroup_hdl, char * name_suffix, int name_suffix_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->name_suffix.getValue(),name_suffix , name_suffix_size))
       ERROR("void cxios_get_filegroup_name_suffix(filegroup_Ptr filegroup_hdl, char * name_suffix, int name_suffix_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -91,12 +110,16 @@
     std::string output_freq_str;
     if(!cstr2string(output_freq, output_freq_size, output_freq_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->output_freq.setValue(output_freq_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->output_freq);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_output_freq(filegroup_Ptr filegroup_hdl, char * output_freq, int output_freq_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->output_freq.getValue(),output_freq , output_freq_size))
       ERROR("void cxios_get_filegroup_output_freq(filegroup_Ptr filegroup_hdl, char * output_freq, int output_freq_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -104,6 +127,8 @@
   void cxios_set_filegroup_output_level(filegroup_Ptr filegroup_hdl, int output_level)
   {
+     CTimer::get("XIOS").resume();
     filegroup_hdl->output_level.setValue(output_level);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->output_level);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -118,12 +143,16 @@
     std::string par_access_str;
     if(!cstr2string(par_access, par_access_size, par_access_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->par_access.setValue(par_access_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->par_access);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_par_access(filegroup_Ptr filegroup_hdl, char * par_access, int par_access_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->par_access.getValue(),par_access , par_access_size))
       ERROR("void cxios_get_filegroup_par_access(filegroup_Ptr filegroup_hdl, char * par_access, int par_access_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -133,12 +162,16 @@
     std::string split_freq_str;
     if(!cstr2string(split_freq, split_freq_size, split_freq_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->split_freq.setValue(split_freq_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->split_freq);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_split_freq(filegroup_Ptr filegroup_hdl, char * split_freq, int split_freq_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->split_freq.getValue(),split_freq , split_freq_size))
       ERROR("void cxios_get_filegroup_split_freq(filegroup_Ptr filegroup_hdl, char * split_freq, int split_freq_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -148,12 +181,16 @@
     std::string sync_freq_str;
     if(!cstr2string(sync_freq, sync_freq_size, sync_freq_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->sync_freq.setValue(sync_freq_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->sync_freq);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_sync_freq(filegroup_Ptr filegroup_hdl, char * sync_freq, int sync_freq_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->sync_freq.getValue(),sync_freq , sync_freq_size))
       ERROR("void cxios_get_filegroup_sync_freq(filegroup_Ptr filegroup_hdl, char * sync_freq, int sync_freq_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -163,12 +200,16 @@
     std::string type_str;
     if(!cstr2string(type, type_size, type_str)) return;
+     CTimer::get("XIOS").resume();
     filegroup_hdl->type.setValue(type_str);
     filegroup_hdl->sendAttributToServer(filegroup_hdl->type);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_filegroup_type(filegroup_Ptr filegroup_hdl, char * type, int type_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(filegroup_hdl->type.getValue(),type , type_size))
       ERROR("void cxios_get_filegroup_type(filegroup_Ptr filegroup_hdl, char * type, int type_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
Index: XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 346)
+++ XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 347)
@@ -10,4 +10,5 @@
 #include "group_template_impl.hpp"
 #include "icutil.hpp"
+#include "timer.hpp"
 
 extern "C"
@@ -19,12 +20,16 @@
     std::string axis_ref_str;
     if(!cstr2string(axis_ref, axis_ref_size, axis_ref_str)) return;
+     CTimer::get("XIOS").resume();
     grid_hdl->axis_ref.setValue(axis_ref_str);
     grid_hdl->sendAttributToServer(grid_hdl->axis_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_grid_axis_ref(grid_Ptr grid_hdl, char * axis_ref, int axis_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(grid_hdl->axis_ref.getValue(),axis_ref , axis_ref_size))
       ERROR("void cxios_get_grid_axis_ref(grid_Ptr grid_hdl, char * axis_ref, int axis_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -34,12 +39,16 @@
     std::string description_str;
     if(!cstr2string(description, description_size, description_str)) return;
+     CTimer::get("XIOS").resume();
     grid_hdl->description.setValue(description_str);
     grid_hdl->sendAttributToServer(grid_hdl->description);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_grid_description(grid_Ptr grid_hdl, char * description, int description_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(grid_hdl->description.getValue(),description , description_size))
       ERROR("void cxios_get_grid_description(grid_Ptr grid_hdl, char * description, int description_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -49,12 +58,16 @@
     std::string domain_ref_str;
     if(!cstr2string(domain_ref, domain_ref_size, domain_ref_str)) return;
+     CTimer::get("XIOS").resume();
     grid_hdl->domain_ref.setValue(domain_ref_str);
     grid_hdl->sendAttributToServer(grid_hdl->domain_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_grid_domain_ref(grid_Ptr grid_hdl, char * domain_ref, int domain_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(grid_hdl->domain_ref.getValue(),domain_ref , domain_ref_size))
       ERROR("void cxios_get_grid_domain_ref(grid_Ptr grid_hdl, char * domain_ref, int domain_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -64,12 +77,16 @@
     std::string name_str;
     if(!cstr2string(name, name_size, name_str)) return;
+     CTimer::get("XIOS").resume();
     grid_hdl->name.setValue(name_str);
     grid_hdl->sendAttributToServer(grid_hdl->name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_grid_name(grid_Ptr grid_hdl, char * name, int name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(grid_hdl->name.getValue(),name , name_size))
       ERROR("void cxios_get_grid_name(grid_Ptr grid_hdl, char * name, int name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
